<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('members', function (Blueprint $table) {
            if (! Schema::hasColumn('members', 'subscription_type_id')) {
                return;
            }
            $table->dropForeign(['subscription_type_id']);
            $table->dropColumn('subscription_type_id');
        });
    }

    public function down(): void
    {
        Schema::table('members', function (Blueprint $table) {
            if (Schema::hasColumn('members', 'subscription_type_id')) {
                return;
            }
            $table->foreignId('subscription_type_id')->nullable()->constrained('subscription_types')->nullOnDelete();
        });
    }
};
